Package ru.bitel.bgbilling.modules.runtel.server.bean

# Class RuntelManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.runtel.server.bean.RuntelManager

public class RuntelManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuntelManager(int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `appendContract(int customerId, String contractTitle, String pbxDomain, LocalDate dateFrom, String status, String email, int hostId)`
  `int`
  `appendContractAnnex(int contractId, int tariffId, String name, Period period, String status, Map<String,Integer> services)`
  `int`
  `appendContractAnnexRow(int contractAnnexId, String tariffId, int count)`
  `int`
  `appendCustomer(int customerId, String customerTitle, String customerBrand, String city, String status)`
  `boolean`
  `deleteContract(int contractId)`
  `boolean`
  `deleteContractAnnex(int contractAnnexId)`
  `boolean`
  `deleteContractAnnexRow(int contractAnnexRowId)`
  `boolean`
  `deleteCustomer(int customerId)`
  `SearchResult<org.json.JSONObject>`
  `getContractAnnexList(int contractId, LocalDate dateFrom)`
  `SearchResult<org.json.JSONObject>`
  `getContractAnnexRowList(int contractAnnexId, LocalDate dateFrom)`
  `SearchResult<org.json.JSONObject>`
  `getContractList(int customerId, LocalDate dateFrom)`
  `SearchResult<org.json.JSONObject>`
  `getCustomerList(String name, String status)`
  `static org.json.JSONObject`
  `getResponse(ru.bitel.bgbilling.modules.runtel.server.servlet.ModuleExecutor.Action action)`
  `String`
  `getToken()`
  `void`
  `syncData(Connection con)`
  `boolean`
  `syncData(List<RunTelContract> contracts, Map<Integer,RunTelTariff> tariffs, String token)`
  `int`
  `updateContract(int contractId, LocalDate dateTo, String status)`
  `int`
  `updateContractAnnex(int contractId, LocalDate dateTo, String status)`
  `int`
  `updateContractAnnexRow(int contractAnnexRowId, int count)`
  `int`
  `updateCustomer(int customerId, String customerTitle)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RuntelManager

    public RuntelManager(int moduleId)

- ## Method Details

  - ### getToken

    public String getToken()

  - ### getCustomerList

    public SearchResult<org.json.JSONObject> getCustomerList(String name, String status)

  - ### appendCustomer

    public int appendCustomer(int customerId, String customerTitle, String customerBrand, String city, String status)

  - ### updateCustomer

    public int updateCustomer(int customerId, String customerTitle)

  - ### deleteCustomer

    public boolean deleteCustomer(int customerId)

  - ### getContractList

    public SearchResult<org.json.JSONObject> getContractList(int customerId, LocalDate dateFrom)

  - ### appendContract

    public int appendContract(int customerId, String contractTitle, String pbxDomain, LocalDate dateFrom, String status, String email, int hostId)

  - ### updateContract

    public int updateContract(int contractId, LocalDate dateTo, String status)

  - ### deleteContract

    public boolean deleteContract(int contractId)

  - ### getContractAnnexList

    public SearchResult<org.json.JSONObject> getContractAnnexList(int contractId, LocalDate dateFrom)

  - ### appendContractAnnex

    public int appendContractAnnex(int contractId, int tariffId, String name, Period period, String status, Map<String,Integer> services)

  - ### updateContractAnnex

    public int updateContractAnnex(int contractId, LocalDate dateTo, String status)

  - ### deleteContractAnnex

    public boolean deleteContractAnnex(int contractAnnexId)

  - ### getContractAnnexRowList

    public SearchResult<org.json.JSONObject> getContractAnnexRowList(int contractAnnexId, LocalDate dateFrom)

  - ### appendContractAnnexRow

    public int appendContractAnnexRow(int contractAnnexId, String tariffId, int count)

  - ### updateContractAnnexRow

    public int updateContractAnnexRow(int contractAnnexRowId, int count)

  - ### deleteContractAnnexRow

    public boolean deleteContractAnnexRow(int contractAnnexRowId)

  - ### syncData

    public boolean syncData(List<RunTelContract> contracts, Map<Integer,RunTelTariff> tariffs, String token)

  - ### getResponse

    public static org.json.JSONObject getResponse(ru.bitel.bgbilling.modules.runtel.server.servlet.ModuleExecutor.Action action)

  - ### syncData

    public void syncData(Connection con)